MAP: Get events for map display

API: gdacs.org:gdacs-api
Endpoint: /api/events/geteventlist/MAP
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 550ms

Description

Returns disaster events as GeoJSON features for map visualization

Parameters (1)

eventtypes (string, query, optional)

Comma-separated list of event types to filter (EQ=Earthquake, TC=Tropical Cyclone, FL=Flood, WF=Wildfire, DR=Drought, VO=Volcano)

Examples (1)

Get events for map display openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?eventtypes=EQ%2CTC%2CFL'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP",
    params={
        'eventtypes': 'EQ,TC,FL',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("api/events/geteventlist/MAP", eventtypes="EQ,TC,FL")

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/events/geteventlist/MAP?eventtypes=EQ%2CTC%2CFL");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:52:01.640893 200 550ms
2026-04-15 02:01:00.739161 200 880ms
2026-04-14 01:23:05.667772 200 661ms
2026-04-12 15:46:07.938835 200 302ms
2026-04-10 02:03:23.314444 200 796ms
2026-04-09 01:56:20.164412 200 26647ms
2026-04-08 07:40:06.911514 200 536ms
2026-04-07 01:52:27.816091 200 923ms
2026-04-05 21:06:00.242435 200 1760ms
2026-04-05 00:50:04.928452 200 320ms
2026-04-04 02:57:11.901179 200 242ms
2026-04-03 12:42:34.934697 200 326ms
2026-03-30 02:56:35.254108 200 319ms
2026-03-29 13:05:16.619542 200 457ms
2026-03-23 10:29:21.575251 200 810ms